com.hazelcast.config

## Class SemaphoreConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.SemaphoreConfig
  - - com.hazelcast.config.SemaphoreConfigReadOnly

- All Implemented Interfaces:
    NamedConfig, DataSerializable, IdentifiedDataSerializable, com.hazelcast.nio.serialization.impl.Versioned

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class SemaphoreConfigReadOnly
      extends SemaphoreConfig

  Contains configuration for Semaphore(read only)

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.SemaphoreConfig

      `DEFAULT_ASYNC_BACKUP_COUNT, DEFAULT_SYNC_BACKUP_COUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SemaphoreConfigReadOnly(SemaphoreConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SemaphoreConfig` | `setAsyncBackupCount(int asyncBackupCount)` Deprecated. Sets the number of asynchronous backups.
    `SemaphoreConfig` | `setBackupCount(int backupCount)` Deprecated. Sets the number of synchronous backups.
    `SemaphoreConfig` | `setInitialPermits(int initialPermits)` Deprecated. Sets the initial number of permits.
    `SemaphoreConfig` | `setName(String name)` Deprecated. Sets the name of the semaphore.
    `SemaphoreConfig` | `setQuorumName(String quorumName)` Deprecated.

    - ### Methods inherited from class com.hazelcast.config.SemaphoreConfig

      `equals, getAsReadOnly, getAsyncBackupCount, getBackupCount, getFactoryId, getId, getInitialPermits, getName, getQuorumName, getTotalBackupCount, hashCode, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SemaphoreConfigReadOnly

          public SemaphoreConfigReadOnly(SemaphoreConfig config)

      Deprecated.

  - ### Method Detail

    - #### setName

          public SemaphoreConfig setName(String name)

      Deprecated.
      Description copied from class: `SemaphoreConfig`
      Sets the name of the semaphore.
      Specified by:
        `setName` in interface `NamedConfig`
      Overrides:
        `setName` in class `SemaphoreConfig`
      Parameters:
        `name` - the name of the semaphore
      Returns:
        the updated SemaphoreConfig

    - #### setInitialPermits

          public SemaphoreConfig setInitialPermits(int initialPermits)

      Deprecated.
      Description copied from class: `SemaphoreConfig`
      Sets the initial number of permits. The initial number of permits can be 0; meaning that there is no permit. It can also be a negative number, meaning that there is a shortage of permits.
      Overrides:
        `setInitialPermits` in class `SemaphoreConfig`
      Parameters:
        `initialPermits` - the initial number of permits
      Returns:
        the updated SemaphoreConfig

    - #### setBackupCount

          public SemaphoreConfig setBackupCount(int backupCount)

      Deprecated.
      Description copied from class: `SemaphoreConfig`
      Sets the number of synchronous backups.
      Overrides:
        `setBackupCount` in class `SemaphoreConfig`
      Parameters:
        `backupCount` - the number of synchronous backups to set
      Returns:
        the updated SemaphoreConfig
      See Also:
        `SemaphoreConfig.setAsyncBackupCount(int)`, `SemaphoreConfig.getBackupCount()`

    - #### setAsyncBackupCount

          public SemaphoreConfig setAsyncBackupCount(int asyncBackupCount)

      Deprecated.
      Description copied from class: `SemaphoreConfig`
      Sets the number of asynchronous backups. 0 means no backups.
      Overrides:
        `setAsyncBackupCount` in class `SemaphoreConfig`
      Parameters:
        `asyncBackupCount` - the number of asynchronous synchronous backups to set
      Returns:
        the updated SemaphoreConfig
      See Also:
        `SemaphoreConfig.setBackupCount(int)`, `SemaphoreConfig.getAsyncBackupCount()`

    - #### setQuorumName

          public SemaphoreConfig setQuorumName(String quorumName)

      Deprecated.
      Overrides:
        `setQuorumName` in class `SemaphoreConfig`

Copyright © 2019. All rights reserved.